Jump to content

Is there any version of the Factions plugin that works for Tekkit 2.1?


Recommended Posts

Re: Is there any version that works for Tekkit 2.1?

There is not really any errors.. nothing happens when using it..

When I use the /f commands nothing happens, no error, no unknown command or any thing, just a blank chat.

As for the server it also gives me no errors

Link to comment
Share on other sites

Re: Is there any version that works for Tekkit 2.1?

Just to be clear I put the factions.jar in my plugins folder.

I have set permissions since I am using essentials.

I am also using McMyAdmin and this is how it looks like when starting up the server:

RecipeManager: Loading RecipeManager v1.1c.

RecipeManager: loading all settings...

RecipeManager: loaded 0 custom fuels.

RecipeManager: loaded 1 shaped, 1 unshaped and 0 furnace recipes.

RecipeManager: done.

RecipeManager: version 1.1c is enabled!

GroupManager: Loading GroupManager v1.9 (2.8.2) (Phoenix).

CONSOLE: Adding variable - build

CONSOLE: Adding variable - interact

CONSOLE: Adding variable - build

CONSOLE: Adding variable - interact

CONSOLE: Adding variable - build

CONSOLE: Adding variable - interact

CONSOLE: Adding variable - build

CONSOLE: Adding variable - interact

CONSOLE: Adding variable - build

CONSOLE: Adding variable - interact

CONSOLE: Adding variable - build

CONSOLE: Adding variable - interact

CONSOLE: Adding variable - build

CONSOLE: Adding variable - interact

CONSOLE: Adding variable - build

CONSOLE: Adding variable - interact

CONSOLE: Adding variable - build

CONSOLE: Adding variable - interact

CONSOLE: Adding variable - build

CONSOLE: Adding variable - interact

CONSOLE: Adding variable - build

CONSOLE: Adding variable - interact

CONSOLE: GroupManager - INFO - World Found: world

CONSOLE: GroupManager - INFO - Superperms support enabled.

CONSOLE: GroupManager - INFO - Scheduled Data Saving is set for every 10 minutes!

CONSOLE: GroupManager - INFO - Backups will be retained for 24 hours!

CONSOLE: GroupManager version 1.9 (2.8.2) (Phoenix) is enabled!

WorldEdit: Loading WorldEdit v5.0.

CONSOLE: WorldEdit 5.0 enabled.

CONSOLE: WEPIF: Using the Bukkit Permissions API.

CONSOLE: WEPIF: Using the Bukkit Permissions API.

ChopTree: Loading ChopTree v1.2.

ChopTree: Using Permissions.

CONSOLE: ChopTree 1.2 enabled!

BukkitCompat: Loading BukkitCompat vr16B.

Permissions: Loading Permissions v3.1.6.

CONSOLE: Fake Permissions version 3.1.6 is enabled!

CONSOLE: McMyAdmin Compatibility Plugin version r16B started.

CONSOLE: WEPIF: Using the Bukkit Permissions API.

Essentials: Loading Essentials v2.8.2.

CONSOLE: Bukkit version format changed. Version not checked.

CONSOLE: git-Bukkit-1.1-R4-b1938jnks (MC: 1.1)

CONSOLE: File not found: plugins\Essentials\jail.yml

CONSOLE: Essentials: Using GroupManager based permissions.

EssentialsXMPP: Loading EssentialsXMPP v2.8.2.

EssentialsChat: Loading EssentialsChat v2.8.2.

EssentialsProtect: Loading EssentialsProtect v2.8.2.

CONSOLE: Initializing c3p0-0.9.1.2 [built 21-May-2007 15:04:56; debug? true; trace: 10]

EssentialsSpawn: Loading EssentialsSpawn v2.8.2.

CONSOLE: File not found: plugins\Essentials\spawn.yml

EssentialsGeoIP: Loading EssentialsGeoIP v2.8.2.

EssentialsGeoIP: This product includes GeoLite data created by MaxMind, available from http://www.maxmind.com/.

CONSOLE: Server permissions file permissions.yml is empty, ignoring it

-------------------------------------------------------------------------

I cant find anything about the factions plugin in the start up "text" but if any one see some contradictions let me know.

Link to comment
Share on other sites

Re: Is there any version that works for Tekkit 2.1?

And this happens when I remember to unzip the factions.zip and use factions.jar.... derp

Factions: Loading Factions v1.6.6.

Factions: v1.6.6] === ENABLE START ===

Factions: v1.6.6] Creating default: plugins\Factions\conf.json

CONSOLE: Server permissions file permissions.yml is empty, ignoring it

Factions: v1.6.6] Reset faction data (invalid faction) for player Lurexx

Factions: v1.6.6] Reset faction data (invalid faction) for player Lurexx

But it is still the same when typing /f help in game -> nothing

nothing in the command promt, nothing in the in gamechat

Link to comment
Share on other sites

Something is wrong as the conf.json file does not get created even though it is trying to and factions returns an error while loading:

2012-03-22 14:36:34 [iNFO] [Factions v1.6.6] Creating default: plugins\Factions\conf.json

2012-03-22 14:36:34 [sEVERE] Error occurred while enabling Factions v1.6.6 (Is it up to date?): null

java.lang.AssertionError

Link to comment
Share on other sites

SOLUTION:

Its fairly easy to fix. Just open notepad, save as and save blank text file as "conf.json". Then put this newly created file in this directory on your server: SERVER//Plugins/Factions

Start server and Factions should detect file corruption so the plugin will generate new conf.json. And it should work this way.

Link to comment
Share on other sites

Re: [solved] Is there any version of the Factions plugin that works for Tekkit 2.1?

Well the not so solved anyways :(

The solution posted by atlantiscze worked for some time, but then I restarted the server and we were back where I started. I tried to install the mod allover, applied the fix. Then I restarted the server and some thing happened again. :(

Link to comment
Share on other sites

I tried to follow termhn's guide at this post:

http://forums.technicpack.net/index.php/topic,4547.0.html

There was no conf.json file in the factions folder, but im was told that I should just upload an empty conf.json file and then it would work. But as soon as I restart the server the factions mod wont start.

When I go back in to the factions folder I find these files:

board.json

conf.json_bad

tags.json

If I stop the server and replace "conf.json_bad" with an empty "conf.json" it will start up again.

This is my console when starting with the empty conf.json:

Factions: Loading Factions v1.6.7.

Factions: v1.6.7] === ENABLE START ===

Factions: v1.6.7] Loading board from disk

Factions: v1.6.7] Found and will integrate chat with EssentialsChat v2.8.2

Factions: v1.6.7] Economy integration is disabled, and the plugin "Vault" is not installed.

Factions: v1.6.7] === ENABLE DONE (Took 170ms) ===

This is after I restarted the server:

Factions: Loading Factions v1.6.7.

Factions: v1.6.7] === ENABLE START ===

Factions: v1.6.7] Creating default: plugins\Factions\conf.json

Anyone know why this is happening?

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...